SUMMARY = "libguvc package"
DESCRIPTION = "UVC gadget library for Xarina"
LICENSE = "GPLv2+"
SECTION = "devel"
LIC_FILES_CHKSUM = "file://${WORKDIR}/COPYING.gplv2;md5=fc4cd2237dee239171b157ebc85bab75"

PR = "r0"

SRC_URI = "file://Makefile \
	file://uvc.c \
	file://libguvc.h \
	file://uvc.h \
	file://COPYING.gplv2"

S = "${WORKDIR}"

FILES_${PN} += "${XARINA_LOCAL_DIR}/util/libguvc/lib/*so*"
FILES_${PN}-dbg += "${XARINA_LOCAL_DIR}/util/libguvc/lib/.debug/*"
FILES_${PN}-dev += "${XARINA_LOCAL_DIR}/util/libguvc/include/*"

do_compile() {
	oe_runmake CC="${CC} -L${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/lib" CXX="${CXX} -L${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/lib" AR="${AR}" STAGING_INCDIR="${STAGING_INCDIR}"
}


do_install_append () {
    install -d ${D}${XARINA_LOCAL_DIR}/util/libguvc
	install -d ${D}${XARINA_LOCAL_DIR}/util/libguvc/lib
	install -d ${D}${XARINA_LOCAL_DIR}/util/libguvc/include
	install -m 0644 ${WORKDIR}/libguvc.so ${D}${XARINA_LOCAL_DIR}/util/libguvc/lib/libguvc.so
	install -m 0644 ${WORKDIR}/libguvc.h ${D}${XARINA_LOCAL_DIR}/util/libguvc/include/libguvc.h
}

SYSROOT_PREPROCESS_FUNCS += "libguvc_sysroot_preprocess"

libguvc_sysroot_preprocess () {
    install -d ${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc
	install -d ${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/lib
	install -d ${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/include
	install -m 0644 ${WORKDIR}/libguvc.so ${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/lib/libguvc.so
	install -m 0644 ${WORKDIR}/libguvc.h ${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/include/libguvc.h
}

ALLOW_EMPTY_${PN} = "1"
ALLOW_EMPTY_${PN}-dbg = "1"
INSANE_SKIP_${PN} += "libdir"
INSANE_SKIP_${PN} += "dev-so"
INSANE_SKIP_${PN}-bin += "libdir"
INSANE_SKIP_${PN}-dbg += "libdir"
